KCAPI_VERSION(3)

NAME
kcapi_version - return machine-usable version number of kcapi library

SYNOPSIS

uint32_t kcapi_version(void);

ARGUMENTS

void
    no arguments

DESCRIPTION

The function returns a version number that is monotonic increasing for newer versions. The version numbers are multiples of 100. For example, version 1.2.3 is converted to 1020300 -- the last two digits are reserved for future use.

The result of this function can be used in comparing the version number in a calling program if version-specific calls need to be make.

return Version number of kcapi library

AUTHOR

Stephan Mueller <smueller@chronox.de>
    Author.

COPYRIGHT